public class Main3 {

	public static void main(String[] args) {
		// Crea una nueva cuenta, le pone $1000
		Account	account=new Account();
		account.setBalance(1000);
		
		Company company=new Company(account);
		Thread companyThread=new Thread(company);

		Bank bank=new Bank(account);
		Thread bankThread=new Thread(bank);
		
		System.out.printf("Cuenta : Saldo inicial: %f\n",account.getBalance());
		
		companyThread.start();
		bankThread.start();

		try {
			// Espero a que terminen los threads
			companyThread.join();
			bankThread.join();
			System.out.printf("Account : Saldo final: %f\n",account.getBalance());
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
